<?php
###################################################################
# ProofReader - A Mambo/Joomla! Component for misprint reporting  #
# Copyright  : (C) 2005-2007 by Alexandr Balashov aka ERA         #
# For site   : joomla.j-web.ru                                    #
# License    : Released under GNU General Public License          #
# Language   : English                                            #
# Translator : Victor Kyarginsky                                  #
###################################################################

# General:
DEFINE("_PROOFREADER_NAME", "Corrector");
DEFINE("_PROOFREADER_YES", "Yes");
DEFINE("_PROOFREADER_NO", "No");
DEFINE("_PROOFREADER_NOT_REQUIRED", "Not required");
DEFINE("_PROOFREADER_TRANSLATOR", "Victor Kyarginsky");
# During translation at other language change constant data _PROOFREADER_TRANSLATOR on Your information
# And also translate this commentary



# Send mail:
DEFINE("_PROOFREADER_ADMINMAILHEADER", "New error message");
DEFINE("_PROOFREADER_ADMINMAIL", "New error message was added: ");
DEFINE("_PROOFREADER_ADMINMAIL_USERNAME", "Added by user: ");
DEFINE("_PROOFREADER_ADMINMAIL_URL", "Added from page: ");
DEFINE("_PROOFREADER_ADMINMAIL_MISTAKETEXT", "Error text: ");
DEFINE("_PROOFREADER_ADMINMAIL_MISTAKEVARIANT", "Variant of correction: ");
DEFINE("_PROOFREADER_ADMINMAIL_SITEADDRES", "Site address: ");
DEFINE("_PROOFREADER_ADMINMAIL_MISTAKECOMMENT", "Comment: ");
DEFINE("_PROOFREADER_ADMINMAIL_USERIP", "IP address of sender: ");



# List of messages:
DEFINE("_PROOFREADER_ADMINVIEW_CLOSEMISTAKEERROR", "Choose item for action");
DEFINE("_PROOFREADER_ADMINVIEW_VIEWLIMIT", "Show by ");
DEFINE("_PROOFREADER_ADMINVIEW_MISTAKESTATUS", "Status:");
DEFINE("_PROOFREADER_ADMINVIEW_MISTAKESTATUS_ALL", "All");
DEFINE("_PROOFREADER_ADMINVIEW_MISTAKESTATUS_YES", "Corrected");
DEFINE("_PROOFREADER_ADMINVIEW_MISTAKESTATUS_NO", "Not corrected");
DEFINE("_PROOFREADER_ADMINVIEW_AUTHOR", "Author");
DEFINE("_PROOFREADER_ADMINVIEW_MISTAKETEXT", "Error text");
DEFINE("_PROOFREADER_ADMINVIEW_MISTAKENOTE", "Comment");
DEFINE("_PROOFREADER_ADMINVIEW_MISTAKEURL", "URL");
DEFINE("_PROOFREADER_ADMINVIEW_MISTAKECLOSE", "Corrected");
DEFINE("_PROOFREADER_ADMINVIEW_MISTAKEDATE", "Date");
DEFINE("_PROOFREADER_ADMINVIEW_MISTAKEIP", "IP-address");
DEFINE("_PROOFREADER_ADMINVIEW_MISTAKEURLHINT", "Press for open in new window");
DEFINE("_PROOFREADER_ADMINVIEW_MISTAKEURLCLICKME", "Goto");
DEFINE("_PROOFREADER_ADMINVIEW_MISTAKESEARCH", "Search For:");
DEFINE("_PROOFREADER_ADMINVIEW_AUTHORSELECT", "Choice of sender:");
DEFINE("_PROOFREADER_ADMINVIEW_AUTHORFILTER", "Choose sender");
DEFINE("_PROOFREADER_ADMINVIEW_MISTAKEVARIANT","Variant of writing:");
DEFINE("_PROOFREADER_ADMINVIEW_URL_UNKNOWN","URL is unknown");



# Settings of the component:
DEFINE("_PROOFREADER_ADMINCONFIG_GENERALGONFIG", "General");
DEFINE("_PROOFREADER_ADMINCONFIG_HOOKCONFIG", "Keys config");
DEFINE("_PROOFREADER_ADMINCONFIG_MESSAGESCONFIG", "Messages");
DEFINE("_PROOFREADER_ADMINCONFIG_MODULEGONFIG", "Module config");
DEFINE("_PROOFREADER_ADMINCONFIG_ADMINGONFIG", "Admin config");
DEFINE("_PROOFREADER_ADMINCONFIG_MAILCONFIG", "Mail config");

DEFINE("_PROOFREADER_ADMINCONFIG_GENERALGONFIG_NOTE", "<font color=\"#0000FF\">Base settings the component.</font>");
DEFINE("_PROOFREADER_ADMINCONFIG_HOOKCONFIG_NOTE", "<font color=\"#0000FF\">Keys hooking setting for conclusion of dialog.</font>");
DEFINE("_PROOFREADER_ADMINCONFIG_MESSAGESCONFIG_NOTE", "<font color=\"#0000FF\">Setting the messages for users.</font>");
DEFINE("_PROOFREADER_ADMINCONFIG_MODULEGONFIG_NOTE", "<font color=\"#0000FF\">Parameters for adjusting the exterior surfacing dialog.</font>");
DEFINE("_PROOFREADER_ADMINCONFIG_ADMINGONFIG_NOTE", "<font color=\"#0000FF\">Parameters for adjusting displayed data in list of errors.</font>");
DEFINE("_PROOFREADER_ADMINCONFIG_MAILCONFIG_NOTE", "<font color=\"#0000FF\">Parameters of sending the notice by mail.</font>");

DEFINE("_PROOFREADER_ADMINCONFIG_OFFLINE", _PROOFREADER_NAME." offline:");
DEFINE("_PROOFREADER_ADMINCONFIG_OFFLINE_NOTE", "Set component offline.");

DEFINE("_PROOFREADER_ADMINCONFIG_OFFLINEMESSAGE", "ffline message:");
DEFINE("_PROOFREADER_ADMINCONFIG_OFFLINEMESSAGE_NOTE", "Message appears to user at offline mode.");

DEFINE("_PROOFREADER_ADMINCONFIG_REGISTERED", "Registered only:");
DEFINE("_PROOFREADER_ADMINCONFIG_REGISTERED_NOTE", "Only authorized users can send the messages.");

DEFINE("_PROOFREADER_ADMINCONFIG_REGISTEREDMESSAGE", "Message for unauthorized users:");
DEFINE("_PROOFREADER_ADMINCONFIG_REGISTEREDMESSAGE_NOTE", "Message appears to unauthorized users, if only authorized users can send the messages.");

DEFINE("_PROOFREADER_ADMINCONFIG_WEBMASTERMESSAGE", "Webmaster notify:");
DEFINE("_PROOFREADER_ADMINCONFIG_WEBMASTERMESSAGE_NOTE", "Send the letter to webmaster when new messages received.");

DEFINE("_PROOFREADER_ADMINCONFIG_WEBMASTEREMAIL", "Webmaster E-mail:");
DEFINE("_PROOFREADER_ADMINCONFIG_WEBMASTEREMAIL_NOTE", "Webmaster Email. The messages will send to it.");

DEFINE("_PROOFREADER_ADMINCONFIG_THANKUSER", "Thanks text:");
DEFINE("_PROOFREADER_ADMINCONFIG_THANKUSER_NOTE", "Message appears to user after sending the error.");

DEFINE("_PROOFREADER_ADMINCONFIG_VARIANTENABLE", "It's offer to enter variant of writing:");
DEFINE("_PROOFREADER_ADMINCONFIG_VARIANTENABLE_NOTE", "Offer to enter the correct variant of writing.");

DEFINE("_PROOFREADER_ADMINCONFIG_COMMENTENABLE", "Comment offer:");
DEFINE("_PROOFREADER_ADMINCONFIG_COMMENTENABLE_NOTE", "Offer to enter comment to error.");

DEFINE("_PROOFREADER_ADMINCONFIG_MISTAKELENGTH", "Message length:");
DEFINE("_PROOFREADER_ADMINCONFIG_MISTAKELENGTH_NOTE", "Max possible length of message of error.");

DEFINE("_PROOFREADER_ADMINCONFIG_VARIANTLENGTH", "Variant of writing length:");
DEFINE("_PROOFREADER_ADMINCONFIG_VARIANTLENGTH_NOTE", "Max possible length of variant of writing.");

DEFINE("_PROOFREADER_ADMINCONFIG_COMMENTLENGTH", "Comment length:");
DEFINE("_PROOFREADER_ADMINCONFIG_COMMENTLENGTH_NOTE", "Max possible length of comment to error.");

DEFINE("_PROOFREADER_ADMINCONFIG_IMAGE_SEC", "Image security:");
DEFINE("_PROOFREADER_ADMINCONFIG_IMAGE_SEC_NOTE", "Must user enter the security code from image?");

DEFINE("_PROOFREADER_ADMINCONFIG_IP_SEC", "IP restrictions:");
DEFINE("_PROOFREADER_ADMINCONFIG_IP_SEC_NOTE", "Restriction of amount of messages at hour with one IP (0 - unlimited).");

DEFINE("_PROOFREADER_ADMINCONFIG_DUPLICATE", "Searching for duplicates:");
DEFINE("_PROOFREADER_ADMINCONFIG_DUPLICATE_NOTE", "Before message save do searching for existing message.");

DEFINE("_PROOFREADER_ADMINCONFIG_NOTWRITEBLE", "File of settings is not available to writing!");
DEFINE("_PROOFREADER_ADMINCONFIG_SAVED", "Settings have been saving");

DEFINE("_PROOFREADER_ADMINCONFIG_MODULE_DEBUGMODE", "Debug mode:");
DEFINE("_PROOFREADER_ADMINCONFIG_MODULE_DEBUGMODE_NOTE", "Turn on debug mode for xAjax script.");

DEFINE("_PROOFREADER_ADMINCONFIG_MODULE_TITLECOLOR", "Color of title text:");
DEFINE("_PROOFREADER_ADMINCONFIG_MODULE_TITLECOLOR_NOTE", "Color of title text of dialog window.");

DEFINE("_PROOFREADER_ADMINCONFIG_MODULE_TITLEBGCOLOR", "Color of title background:");
DEFINE("_PROOFREADER_ADMINCONFIG_MODULE_TITLEBGCOLOR_NOTE", "Color of title background of dialog window.");

DEFINE("_PROOFREADER_ADMINCONFIG_MODULE_BGCOLOR", "Background of module:");
DEFINE("_PROOFREADER_ADMINCONFIG_MODULE_BGCOLOR_NOTE", "Color of Background of the main part of dialog window.");

DEFINE("_PROOFREADER_ADMINCONFIG_MODULE_BUTTONCSS", "Class css:");
DEFINE("_PROOFREADER_ADMINCONFIG_MODULE_BUTTONCSS_NOTE", "CSS class for registration of buttons of dialog window (usually used the class \"button\").");

DEFINE("_PROOFREADER_ADMINCONFIG_ADMINVIEW_MISTAKE", "Error text:");
DEFINE("_PROOFREADER_ADMINCONFIG_ADMINVIEW_MISTAKE_NOTE", "Show field a Error text.");

DEFINE("_PROOFREADER_ADMINCONFIG_ADMINVIEW_VARIANT", "Variant of correction:");
DEFINE("_PROOFREADER_ADMINCONFIG_ADMINVIEW_VARIANT_NOTE", "Show field a variant of correction.");

DEFINE("_PROOFREADER_ADMINCONFIG_ADMINVIEW_COMMENT", "Comment:");
DEFINE("_PROOFREADER_ADMINCONFIG_ADMINVIEW_COMMENT_NOTE", "Show field a error comment.");

DEFINE("_PROOFREADER_ADMINCONFIG_ADMINVIEW_URL", "URL:");
DEFINE("_PROOFREADER_ADMINCONFIG_ADMINVIEW_URL_NOTE", "Show field a URL with link on target page.");

DEFINE("_PROOFREADER_ADMINCONFIG_ADMINVIEW_CLOSE", "Correction:");
DEFINE("_PROOFREADER_ADMINCONFIG_ADMINVIEW_CLOSE_NOTE", "Show flag of error correction.");

DEFINE("_PROOFREADER_ADMINCONFIG_ADMINVIEW_DATE", "Date:");
DEFINE("_PROOFREADER_ADMINCONFIG_ADMINVIEW_DATE_NOTE", "Show date/time of receiving error.");

DEFINE("_PROOFREADER_ADMINCONFIG_ADMINVIEW_AUTHOR", "Author:");
DEFINE("_PROOFREADER_ADMINCONFIG_ADMINVIEW_AUTHOR_NOTE", "Show author of message.");

DEFINE("_PROOFREADER_ADMINCONFIG_ADMINVIEW_IP", "IP:");
DEFINE("_PROOFREADER_ADMINCONFIG_ADMINVIEW_IP_NOTE", "Show IP of author of message.");

DEFINE("_PROOFREADER_ADMINCONFIG_MAILSUBJECT", "Subject of message:");
DEFINE("_PROOFREADER_ADMINCONFIG_MAILSUBJECT_NOTE", "Subject of message sent to webmaster if turn on \"Webmaster notify\". If empty - it use from languages file.");

DEFINE("_PROOFREADER_ADMINCONFIG_HOOKCONFIG_ALTKEY", "Alt key");
DEFINE("_PROOFREADER_ADMINCONFIG_HOOKCONFIG_ALTKEY_NOTE", "Show dialog window when pressing the combination of keys Alt + Enter (this combination is used in Opera browser and it is not recommended to use).");
DEFINE("_PROOFREADER_ADMINCONFIG_HOOKCONFIG_SHIFTKEY", "Shift key");
DEFINE("_PROOFREADER_ADMINCONFIG_HOOKCONFIG_SHIFTKEY_NOTE", "Show dialog window when pressing the combination of keys Shift + Enter.");
DEFINE("_PROOFREADER_ADMINCONFIG_HOOKCONFIG_CTRLKEY", "Ctrl key");
DEFINE("_PROOFREADER_ADMINCONFIG_HOOKCONFIG_CTRLKEY_NOTE", "Show dialog window when pressing the combination of keys Ctrl + Enter.");


# Edit language file
DEFINE("_PROOFREADER_LANGUAGE_NOTWRITEBLE", "<center><h1><font color=red>Warning...</FONT></h1><BR> <b>Current language file is inaccessible for change.</b><BR> <b>For possibility of change the files, You should change the right of access to this file on 766.</b></center><BR><BR>");
DEFINE("_PROOFREADER_LANGUAGE_NOTWRITEBLE_2", "File is not available to writing!");
DEFINE("_PROOFREADER_LANGUAGE_SAVED", "Language file is saved.");
DEFINE("_PROOFREADER_LANGUAGE_PATH", "Path: ");
DEFINE("_PROOFREADER_LANGUAGE_WRITEBLENOTE", "Note: File must be available for writing changes.");



# View/Edit Messages
DEFINE("_PROOFREADER_VIEW_WHEREISMISTAKE", "You should enter text of error.");
DEFINE("_PROOFREADER_VIEW_EDIT", "Change");
DEFINE("_PROOFREADER_VIEW_ADD", "Add");
DEFINE("_PROOFREADER_VIEW_EDITADD", "reports on error:");
DEFINE("_PROOFREADER_VIEW_MISTAKEURL", "page URL");
DEFINE("_PROOFREADER_VIEW_MISTAKECLOSE", "Error <br />is corrected?");



# Module Messages
DEFINE("_PROOFREADER_MODULE_BROWSER_ERROR", "Function of sending the report on error is not available \\nbecause it have not compatibility with Your browser");
DEFINE("_PROOFREADER_MODULE_BIG_TEXT_1", "It is impossible send such size of information because site \\nadministrator has limited the possible size of sent information with ");
DEFINE("_PROOFREADER_MODULE_BIG_TEXT_2", " symbols.\\nYou chose fragment of error with ");
DEFINE("_PROOFREADER_MODULE_BIG_TEXT_3", " symbols");
DEFINE("_PROOFREADER_MODULE_BIG_VARIANT_1", "It is impossible send such size of information because site \\nadministrator has limited the possible size of sent information with ");
DEFINE("_PROOFREADER_MODULE_BIG_VARIANT_2", " symbols.\\nYou have variant of correct writing with length ");
DEFINE("_PROOFREADER_MODULE_BIG_VARIANT_3", " symbols");
DEFINE("_PROOFREADER_MODULE_DO_SEND_Q", "Sending the report on error on page...\\n\\nDo You really want to send message? \\n \\nText for sending: \\n\\n");
DEFINE("_PROOFREADER_MODULE_INPUT_COMMENT", "If You want to explain the essence of mistake, that you can write note to error:");
DEFINE("_PROOFREADER_MODULE_BIG_COMMENT_1", "It is impossible send such size of information because site administrator \\nhas limited possible size of sent information with ");
DEFINE("_PROOFREADER_MODULE_BIG_COMMENT_2", " symbols.\\nYou have a comment with length ");
DEFINE("_PROOFREADER_MODULE_BIG_COMMENT_3", " symbols");
DEFINE("_PROOFREADER_MODULE_TITLE", "Report on error");
DEFINE("_PROOFREADER_MODULE_MISTAKE_TEXT", "Text of error:");
DEFINE("_PROOFREADER_MODULE_MISTAKE_VARIANT", "Your variant of correction:");
DEFINE("_PROOFREADER_MODULE_MISTAKE_COMMENT", "Comment:");
DEFINE("_PROOFREADER_MODULE_MISTAKE_SEND", "&nbsp;Report&nbsp;");
DEFINE("_PROOFREADER_MODULE_MISTAKE_CLOSE", "&nbsp;Close&nbsp;");
DEFINE("_PROOFREADER_MODULE_IMAGE_CODE", "Image code:");
DEFINE("_PROOFREADER_MODULE_ENTER_IMAGE_CODE", "For sending the message you have to enter image code!");
DEFINE("_PROOFREADER_MODULE_MAX_FROM_IP", "You already have exceeded the resolved\n amount of messages at hour with one IP.");
DEFINE("_PROOFREADER_MODULE_DUPLICATE_MESSAGE", "Thank you for sending the message, but this error has already fixed by manager.");



# Install and Deinstall
DEFINE("_PROOFREADER_DEINSTALL_COMPLETE", "Component "._PROOFREADER_NAME." uninstalled successfully.");
DEFINE("_PROOFREADER_INSTALL_TITLE", "<strong>ProofReader - Mambo/Joomla component for error reports on site</strong><br/>
        <font class=\"small\">&copy; 2005-2007 by Alexandr Balashov (era).<br/>
        It is released according to conditions <a href=\"http://www.gnu.org/copyleft/gpl.html\">GNU General Public License</a>.</font><br/>");


// new items start
DEFINE('_PROOFREADER_INSTALL_MENU', 'Proofreader');
DEFINE('_PROOFREADER_INSTALL_MENU_MESSAGES', 'Messages');
DEFINE('_PROOFREADER_INSTALL_MENU_SETTINGS', 'Configuration');
DEFINE('_PROOFREADER_INSTALL_MENU_ABOUT', 'About');

DEFINE('_PROOFREADER_INSTALL_LOG', 'Installation process');
DEFINE('_PROOFREADER_INSTALL_WARNINGS', 'Warnings');
DEFINE('_PROOFREADER_INSTALL_NEXT', 'Next');
DEFINE('_PROOFREADER_INSTALL_OK', 'OK');
DEFINE('_PROOFREADER_INSTALL_ERROR', 'Error');
DEFINE('_PROOFREADER_INSTALL_INSTALL_SYSTEMBOT', 'Installation of mambot proofreader.systembot');
DEFINE('_PROOFREADER_INSTALL_INSTALL_SYSTEMBOT_WARNING', 'Error occured while copying mambot files <font color="green">proofreader.systembot</font>.<br />You need to do manual copy of all files from <font color="green">/administrator/components/com_proofreader/mambots/system/</font> to <font color="green">/mambots/system/</font> and change file extension from .tmp to .xml');
DEFINE('_PROOFREADER_INSTALL_INSTALL_JOOMFISH', 'Installation of configuration for Joom!Fish');
DEFINE('_PROOFREADER_INSTALL_INSTALL_JOOMFISH_WARNING', 'Error occured while copying configuration file for Joom!Fish <font color="green">proofreader.tmp</font>.<br />You need to do manual copy of proofreader.tmp from <font color="green">/administrator/components/com_proofreader/joomfish/contentelements/</font> to <font color="green">/administrator/components/com_joomfish/contentelements/</font>, and change file extension from .tmp to .xml');
DEFINE('_PROOFREADER_INSTALL_UPGRADE_TABLES', 'Updating of DB tables structure');
DEFINE('_PROOFREADER_INSTALL_INSTALLED', 'Installation completed.');
// new items end


# About
DEFINE("_PROOFREADER_ABOUT", "<b>Program</b> <br />
							"._PROOFREADER_NAME." - Mambo/Joomla component for error reports on site.<br />
							Component is founded on GNU/GPL license version 2.<br />
							Component uses freeware source codes of programs:<br />
							<li><a href=\"http://www.xajaxproject.org/\" target=\"_blank\">xAjax version 0.2.4</a>, base on technology <a href=\"http://en.wikipedia.org/wiki/Ajax_(programming)\" target=\"_blank\">Ajax</a> - for support of Ajax technology</li>
							<li><a href=\"http://mikolajj.republika.pl/\" target=\"_blank\">ConvertCharset.class v.1.0</a> - for convert of codings of messages</li><br />
							Reports on mistakes, remarks and wishes send to:  <a href=\"mailto:era@ru-mambo.ru\">era@ru-mambo.ru</a> with mark \"Proofreader component\" <br /><br />
							<b>Thanks</b><br />
							Creators of scripts xAjax and ConvertCharset.<br />
							Sergey Livinov (<b>smart</b>) from command of support of russian-language users Mambo and Joomla for help in development and testing.<br />
							Translator of component to Your national language: "._PROOFREADER_TRANSLATOR.".<br /><br />
							<b>Note</b><br />
							For show dialog of error reports is required install and publish module mod_proofreader.<br /><br />");
?>
