<?php
/**
* ProofReader - A Mambo/Joomla! Component for misprint reporting
* @version 1.0 RC4 2007-04-10
* @package proofreader
* @copyright (C) 2005-2007 by Alexandr Balashov aka ERA - All rights reserved.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL.
* ProofReader is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
*/

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

class HTML_Proofreader {

	function showMistakesEntries( $option, &$lists, &$rows, &$search, &$pageNav ) {
		global $mosConfig_absolute_path, $mosConfig_live_site;

		require($mosConfig_absolute_path."/administrator/components/com_proofreader/config.proofreader.php");
    	$col_count = 0;
		?>
		<form action="index2.php" method="post" name="adminForm">
		<table cellpadding="4" cellspacing="0" border="0" width="100%">
		<tr>
			<td width="100%">
				<font style="color: #FF9E31;font-size : 18px;font-weight: bold;text-align: left;"><?php echo _PROOFREADER_NAME; ?></font>
			</td>
			<td nowrap="nowrap"><?php echo _PROOFREADER_ADMINVIEW_VIEWLIMIT; ?></td>
			<td><?php echo $pageNav->writeLimitBox(); ?></td>
			<td><?php echo _PROOFREADER_ADMINVIEW_AUTHORSELECT; ?></td>
			<td><?php echo $lists['author'];?></td>
			<td><?php echo _PROOFREADER_ADMINVIEW_MISTAKESTATUS; ?></td>
			<td><?php echo $lists['status'];?></td>
			<td><?php echo _PROOFREADER_ADMINVIEW_MISTAKESEARCH; ?></td>
			<td><input type="text" name="search" value="<?php echo $search;?>" class="inputbox" onChange="document.adminForm.submit();" /></td>
		</tr>
		</table>
		<table cellpadding="4" cellspacing="0" border="0" width="100%" class="adminlist">
		<tr>
		<th width="2%" class="title"><input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $rows ); ?>);" /></th>
		<?php
			if ($pr_adminview_mistake) {
				$col_count = $col_count+1;
		?>
			<th class="title"><div align="left"><?php echo _PROOFREADER_ADMINVIEW_MISTAKETEXT ?></div></th>
		<?php
		} if ($pr_adminview_variant) {
			$col_count = $col_count+1;
		?>
        <th class="title"><div align="left"><?php echo _PROOFREADER_ADMINVIEW_MISTAKEVARIANT ?></div></th>
		<?php
		} if ($pr_adminview_comment) {
			$col_count = $col_count+1;
		?>
		<th class="title"><div align="center"><?php echo _PROOFREADER_ADMINVIEW_MISTAKENOTE ?></div></th>
		<?php
		} if ($pr_adminview_url) {
			$col_count = $col_count+1;
		?>
        <th class="title"><div align="center"><?php echo _PROOFREADER_ADMINVIEW_MISTAKEURL ?></div></th>
		<?php
		} if ($pr_adminview_close) {
			$col_count = $col_count+1;
		?>
        <th class="title"><div align="center"><?php echo _PROOFREADER_ADMINVIEW_MISTAKECLOSE ?></div></th>
		<?php
		} if ($pr_adminview_date) {
			$col_count = $col_count+1;
		?>
        <th class="title"><div align="center"><?php echo _PROOFREADER_ADMINVIEW_MISTAKEDATE ?></div></th>
		<?php
		} if ($pr_adminview_author) {
			$col_count = $col_count+1;
		?>
        <th class="title"><div align="center"><?php echo _PROOFREADER_ADMINVIEW_AUTHOR ?></div></th>
		<?php
		} if ($pr_adminview_ip) {
			$col_count = $col_count+1;
		?>
        <th class="title"><div align="center"><?php echo _PROOFREADER_ADMINVIEW_MISTAKEIP ?></div></th>
		<?php
		}
		?>
      </tr>
      <?php
    $k = 0;
    for ($i=0, $n=count( $rows ); $i < $n; $i++) {
		$row = &$rows[$i];
		echo "<tr class='row$k'>";
		echo "<td width='5%'><input type='checkbox' id='cb$i' name='pr_id[]' value='$row->pr_id' onclick='isChecked(this.checked);' /></td>";
		if ($pr_adminview_mistake) {
			echo "<td align='left'><a href=\"index2.php?option=".$option."&task=edit&pr_id[]=".$row->pr_id."\">$row->pr_mistake</a></td>";
		} if ($pr_adminview_variant) {
			echo "<td align='left'><a href=\"index2.php?option=".$option."&task=edit&pr_id[]=".$row->pr_id."\">$row->pr_variant</a></td>";
		} if ($pr_adminview_comment) {
			echo "<td align='left'><a href=\"index2.php?option=".$option."&task=edit&pr_id[]=".$row->pr_id."\">$row->pr_comment</a></td>";
		} if ($pr_adminview_url) {
			If (strlen($row->pr_url)>0) {
				echo "<td align='center'>".'<a href="'.$row->pr_url.'" target="_blank" title="'._PROOFREADER_ADMINVIEW_MISTAKEURLHINT.'">'._PROOFREADER_ADMINVIEW_MISTAKEURLCLICKME.'</a></td>';
			} else {
				echo "<td align='center'><small>"._PROOFREADER_ADMINVIEW_URL_UNKNOWN.'</small></td>';
			};
		} if ($pr_adminview_close) {
			if ($row->pr_close == 'n') {
				$task = 'publish';
				$img = 'publish_x.png';
			} else {
				$task = 'unpublish';
				$img = 'tick.png';
			};
			?>
      		<td width="5%" align="center"><a href="javascript: void(0);" onclick="return listItemTask('cb<?php echo $i;?>','<?php echo $task;?>')"><img src="images/<?php echo $img;?>" width="12" height="12" border="0" alt="" /></a></td>
		<?php
		} if ($pr_adminview_date) {
			echo '<td align="center">'.$row->pr_date.'</td>';
		} if ($pr_adminview_author) {
			echo '<td align="center">'.$row->pr_author.'</td>';
		} if ($pr_adminview_ip) {
			echo '<td align="center">'.$row->pr_ip.'</td>';
		};
      ?>
    </tr>
    <?php    $k = 1 - $k; } ?>
    <tr>
      <th align="center" colspan="<?php echo $col_count+1 ?>">
        <?php echo $pageNav->writePagesLinks(); ?></th>
    </tr>
    <tr>
      <td align="center" colspan="<?php echo $col_count+1 ?>">
        <?php echo $pageNav->writePagesCounter(); ?></td>
    </tr>
  </table>
  <input type="hidden" name="option" value="<?php echo $option;?>" />
  <input type="hidden" name="task" value="" />
  <input type="hidden" name="boxchecked" value="0" />
  </form>
<?php
}

function editMistake( $option, &$row, &$publist ) {
	global $mosConfig_absolute_path;

	require($mosConfig_absolute_path."/administrator/components/com_proofreader/config.proofreader.php");
?>
    <script language="javascript" type="text/javascript">
    function submitbutton(pressbutton) {
      var form = document.adminForm;
      if (pressbutton == 'cancel') {
        submitform( pressbutton );
        return;
      }
      //  
	if (form.pr_mistake.value == ""){
        alert( <?php echo _PROOFREADER_VIEW_WHEREISMISTAKE ?> );
      } else {
        submitform( pressbutton );
      }
    }
    </script>

    <table cellpadding="4" cellspacing="0" border="0" width="100%">
    <tr>
      <td width="100%">
        <font style="color: #FF9E31;font-size : 18px;font-weight: bold;text-align: left;"><?php echo _PROOFREADER_NAME; ?></font>
      </td>
    </tr>
    </table>
    <table cellpadding="4" cellspacing="1" border="0" width="100%" class="adminform">
    <form action="index2.php" method="post" name="adminForm" id="adminForm">
      <tr>
        <th colspan="2" class="title" >
          <?php echo $row->pr_id ? _PROOFREADER_VIEW_EDIT :  _PROOFREADER_VIEW_ADD; echo _PROOFREADER_VIEW_EDITADD ?>
        </th>
      </tr>
      <tr>
        <td width="20%" align="right"><?php echo _PROOFREADER_ADMINVIEW_AUTHOR ?>:</td>
        <td width="80%">
          <input class="inputbox" type="text" name="pr_author" size="50" maxlength="100" value="<?php echo htmlspecialchars( $row->pr_author, ENT_QUOTES );?>" />
        </td>
      </tr>
      <tr>
        <td valign="top" align="right"><?php echo _PROOFREADER_ADMINVIEW_MISTAKETEXT ?>:</td>
        <td>
          <?php echo $row->pr_mistake ?></textarea>
        </td>
      </tr>
      <tr>
        <td valign="top" align="right"><?php echo _PROOFREADER_ADMINVIEW_MISTAKEVARIANT ?>:</td>
        <td>
          <textarea class="inputbox" cols="50" rows="6" name="pr_variant" style="width=500px" width="500"><?php echo htmlspecialchars( $row->pr_variant, ENT_QUOTES );?></textarea>
        </td>
      </tr>
      <tr>
        <td valign="top" align="right"><?php echo _PROOFREADER_ADMINVIEW_MISTAKENOTE ?>:</td>
        <td>
          <textarea class="inputbox" cols="50" rows="6" name="pr_comment" style="width=500px" width="500"><?php echo htmlspecialchars( $row->pr_comment, ENT_QUOTES );?></textarea>
        </td>
      </tr>
      <tr>
        <td valign="top" align="right"><?php echo _PROOFREADER_VIEW_MISTAKEURL ?>:</td>
        <td>
          <a href="<?php echo $row->pr_url ?>" target="_blank" title="<?php echo _PROOFREADER_ADMINVIEW_MISTAKEURLHINT ?>"><?php echo $row->pr_url ?></a>
        </td>
      </tr>
      <tr>
        <td valign="top" align="right"><?php echo _PROOFREADER_VIEW_MISTAKECLOSE ?></td>
        <td>
          <?php echo $publist; ?>
        </td>
      </tr>
      <tr>
        <td valign="top" align="right"><?php echo _PROOFREADER_ADMINVIEW_MISTAKEIP ?></td>
        <td>
          <input class="inputbox" type="text" name="pr_ip" value="<?php echo $row->pr_ip; ?>" size="50" maxlength="15" />
        </td>
      </tr>

    </table>
    <input type="hidden" name="pr_id" value="<?php echo $row->pr_id; ?>" />
    <input type="hidden" name="option" value="<?php echo $option;?>" />
    <input type="hidden" name="task" value="" />   
    </form>
<?php
  }

function showConfig( $option, $pr_offline_message, $pr_registered_only_message, $pr_thankuser_message ) {
	global $mosConfig_absolute_path;

	require($mosConfig_absolute_path."/administrator/components/com_proofreader/config.proofreader.php");

        $pr_offline_message = stripslashes($pr_offline_message);
        $pr_registered_only_message = stripslashes($pr_registered_only_message);
        $pr_thankuser_message = stripslashes($pr_thankuser_message);

?>
    <script language="javascript" type="text/javascript">
    function submitbutton(pressbutton) {
      var form = document.adminForm;
      if (pressbutton == 'cancel') {
        submitform( pressbutton );
        return;
      }
      submitform( pressbutton );
    }
    </script>
  <form action="index2.php" method="post" name="adminForm" id="adminForm">
  <table cellpadding="4" cellspacing="0" border="0" width="100%">
  <tr>
    <td width="100%" class="sectionname">
        <font style="color: #FF9E31;font-size : 18px;font-weight: bold;text-align: left;"><?php echo _PROOFREADER_NAME; ?></font>
    </td>
  </tr>
  </table>
<?php
	$mistakestabs = new mosTabs( 0 );
	$mistakestabs->startPane( "pr_Mistakes" );
	$mistakestabs->startTab(_PROOFREADER_ADMINCONFIG_GENERALGONFIG,"General-page");
?>
    <table width="100%" border="0" cellpadding="4" cellspacing="2" class="adminForm">
	<tr>
		<th colspan="3"><?php echo _PROOFREADER_ADMINCONFIG_GENERALGONFIG_NOTE ?></th>
	</tr>

      <tr align="left" valign="top">
        <td><b><?php echo _PROOFREADER_ADMINCONFIG_OFFLINE ?></b></td>
        <td><?php echo mosHTML::yesnoRadioList( 'pr_offline', 'class="inputbox"', $pr_offline ); ?></td>
        <td><?php echo _PROOFREADER_ADMINCONFIG_OFFLINE_NOTE ?></td>
      </tr>
      <tr align="left" valign="top">
        <td><b><?php echo _PROOFREADER_ADMINCONFIG_MODULE_DEBUGMODE ?></b></td>
        <td><?php echo mosHTML::yesnoRadioList( 'pr_module_debug_mode', 'class="inputbox"', $pr_module_debug_mode ); ?></td>
        <td><?php echo _PROOFREADER_ADMINCONFIG_MODULE_DEBUGMODE_NOTE ?></td>
      </tr>
      <tr align="left" valign="top">
        <td><b><?php echo _PROOFREADER_ADMINCONFIG_DUPLICATE ?></b></td>
        <td><?php echo mosHTML::yesnoRadioList( 'pr_duplicate_enable', 'class="inputbox"', $pr_duplicate_enable ); ?></td>
        <td><?php echo _PROOFREADER_ADMINCONFIG_DUPLICATE_NOTE ?></td>
      </tr>
      <tr align="left" valign="top">
        <td><b><?php echo _PROOFREADER_ADMINCONFIG_IMAGE_SEC ?></b></td>
        <td><?php echo mosHTML::yesnoRadioList( 'pr_image_enable', 'class="inputbox"', $pr_image_enable ); ?></td>
        <td><?php echo _PROOFREADER_ADMINCONFIG_IMAGE_SEC_NOTE ?></td>
      </tr>
      <tr align="left" valign="top">
        <td><b><?php echo _PROOFREADER_ADMINCONFIG_IP_SEC ?></b></td>
        <td><input type="text" name="pr_ip_count" value="<?php echo $pr_ip_count; ?>"></td>
        <td><?php echo _PROOFREADER_ADMINCONFIG_IP_SEC_NOTE ?></td>
      </tr>
      <tr align="left" valign="top">
        <td><b><?php echo _PROOFREADER_ADMINCONFIG_REGISTERED ?></b></td>
        <td><?php echo mosHTML::yesnoRadioList( 'pr_registered', 'class="inputbox"', $pr_registered ); ?></td>
        <td><?php echo _PROOFREADER_ADMINCONFIG_REGISTERED_NOTE ?></td>
      </tr>
      <tr align="left" valign="top">
        <td><b><?php echo _PROOFREADER_ADMINCONFIG_VARIANTENABLE ?></b></td>
        <td><?php echo mosHTML::yesnoRadioList( 'pr_variant_enable', 'class="inputbox"', $pr_variant_enable ); ?></td>
        <td><?php echo _PROOFREADER_ADMINCONFIG_VARIANTENABLE_NOTE ?></td>
      </tr>
      <tr align="left" valign="top">
        <td><b><?php echo _PROOFREADER_ADMINCONFIG_COMMENTENABLE ?></b></td>
        <td><?php echo mosHTML::yesnoRadioList( 'pr_comment_enable', 'class="inputbox"', $pr_comment_enable );?></td>
        <td><?php echo _PROOFREADER_ADMINCONFIG_COMMENTENABLE_NOTE ?></td>
      </tr>
      <tr align="left" valign="top">
        <td><b><?php echo _PROOFREADER_ADMINCONFIG_MISTAKELENGTH ?></b></td>
        <td><input type="text" name="pr_mistake_length" value="<?php echo $pr_mistake_length; ?>"></td>
        <td><?php echo _PROOFREADER_ADMINCONFIG_MISTAKELENGTH_NOTE ?></td>
      </tr>
      <tr align="left" valign="top">
        <td><b><?php echo _PROOFREADER_ADMINCONFIG_VARIANTLENGTH ?></b></td>
        <td><input type="text" name="pr_variant_length" value="<?php echo $pr_variant_length; ?>"></td>
        <td><?php echo _PROOFREADER_ADMINCONFIG_VARIANTLENGTH_NOTE ?></td>
      </tr>
      <tr align="left" valign="top">
        <td><b><?php echo _PROOFREADER_ADMINCONFIG_COMMENTLENGTH ?></b></td>
        <td><input type="text" name="pr_comment_length" value="<?php echo $pr_comment_length; ?>"></td>
        <td><?php echo _PROOFREADER_ADMINCONFIG_COMMENTLENGTH_NOTE ?></td>
      </tr>
    </table>
<?php
	$mistakestabs->endTab(); 
	$mistakestabs->startTab(_PROOFREADER_ADMINCONFIG_HOOKCONFIG,"Hook-page");
?>
	<table width="100%" border="0" cellpadding="4" cellspacing="2" class="adminForm">
		<tr>
			<th colspan="3"><?php echo _PROOFREADER_ADMINCONFIG_HOOKCONFIG_NOTE ?></th>
		</tr>
		<tr align="left" valign="top">
			<td><b><?php echo _PROOFREADER_ADMINCONFIG_HOOKCONFIG_ALTKEY ?></b></td>
			<td><?php echo mosHTML::yesnoRadioList( 'pr_alt_hook', 'class="inputbox"', $pr_alt_hook ); ?></td>
			<td><?php echo _PROOFREADER_ADMINCONFIG_HOOKCONFIG_ALTKEY_NOTE ?></td>
		</tr>
		<tr align="left" valign="top">
			<td><b><?php echo _PROOFREADER_ADMINCONFIG_HOOKCONFIG_SHIFTKEY ?></b></td>
			<td><?php echo mosHTML::yesnoRadioList( 'pr_shift_hook', 'class="inputbox"', $pr_shift_hook ); ?></td>
			<td><?php echo _PROOFREADER_ADMINCONFIG_HOOKCONFIG_SHIFTKEY_NOTE ?></td>
		</tr>
		<tr align="left" valign="top">
			<td><b><?php echo _PROOFREADER_ADMINCONFIG_HOOKCONFIG_CTRLKEY ?></b></td>
			<td><?php echo mosHTML::yesnoRadioList( 'pr_ctrl_hook', 'class="inputbox"', $pr_ctrl_hook ); ?></td>
			<td><?php echo _PROOFREADER_ADMINCONFIG_HOOKCONFIG_CTRLKEY_NOTE ?></td>
		</tr>
    </table>
<?php
	$mistakestabs->endTab();
	$mistakestabs->startTab(_PROOFREADER_ADMINCONFIG_MESSAGESCONFIG,"Messages-page");
?>
    <table width="100%" border="0" cellpadding="4" cellspacing="2" class="adminForm">
	<tr>
		<th colspan="3"><?php echo _PROOFREADER_ADMINCONFIG_MESSAGESCONFIG_NOTE ?></th>
	</tr>
      <tr align="left" valign="top">
        <td width="30%"><b><?php echo _PROOFREADER_ADMINCONFIG_OFFLINEMESSAGE ?></b></td>
        <td width="30%"><textarea class="inputbox" cols="30" rows="5" name="pr_offline_message"><?php echo $pr_offline_message; ?></textarea></td>
        <td width="40%"><?php echo _PROOFREADER_ADMINCONFIG_OFFLINEMESSAGE_NOTE ?></td>
      </tr>
      <tr align="left" valign="top">
        <td><b><?php echo _PROOFREADER_ADMINCONFIG_REGISTEREDMESSAGE ?></b></td>
        <td><textarea class="inputbox" cols="30" rows="5" name="pr_registered_only_message"><?php echo $pr_registered_only_message; ?></textarea></td>
        <td><?php echo _PROOFREADER_ADMINCONFIG_REGISTEREDMESSAGE_NOTE ?></td>
      </tr>
      <tr align="left" valign="top">
        <td><b><?php echo _PROOFREADER_ADMINCONFIG_THANKUSER ?></b></td>
        <td><textarea class="inputbox" cols="30" rows="5" name="pr_thankuser_message"><?php echo $pr_thankuser_message; ?></textarea></td>
        <td><?php echo _PROOFREADER_ADMINCONFIG_THANKUSER_NOTE ?></td>
      </tr>
    </table>
<?php
	$mistakestabs->endTab();
	$mistakestabs->startTab(_PROOFREADER_ADMINCONFIG_MODULEGONFIG,"Module-page");
?>
    <table width="100%" border="0" cellpadding="4" cellspacing="2" class="adminForm">
	<tr>
		<th colspan="3"><?php echo _PROOFREADER_ADMINCONFIG_MODULEGONFIG_NOTE ?></th>
	</tr>
      <tr align="left" valign="top">
        <td width="30%"><b><?php echo _PROOFREADER_ADMINCONFIG_MODULE_TITLECOLOR ?></b></td>
        <td width="30%"><input type="text" name="pr_module_title_color" value="<?php echo $pr_module_title_color; ?>"></td>
        <td width="40%"><?php echo _PROOFREADER_ADMINCONFIG_MODULE_TITLECOLOR_NOTE ?></td>
      </tr>
      <tr align="left" valign="top">
        <td><b><?php echo _PROOFREADER_ADMINCONFIG_MODULE_TITLEBGCOLOR ?></b></td>
        <td><input type="text" name="pr_module_title_bgcolor" value="<?php echo $pr_module_title_bgcolor; ?>"></td>
        <td><?php echo _PROOFREADER_ADMINCONFIG_MODULE_TITLEBGCOLOR_NOTE ?></td>
      </tr>
      <tr align="left" valign="top">
        <td><b><?php echo _PROOFREADER_ADMINCONFIG_MODULE_BGCOLOR ?></b></td>
        <td><input type="text" name="pr_module_bgcolor" value="<?php echo $pr_module_bgcolor; ?>"></td>
        <td><?php echo _PROOFREADER_ADMINCONFIG_MODULE_BGCOLOR_NOTE ?></td>
      </tr>
      <tr align="left" valign="top">
        <td><b><?php echo _PROOFREADER_ADMINCONFIG_MODULE_BUTTONCSS ?></b></td>
        <td><input type="text" name="pr_module_button_css_class" value="<?php echo $pr_module_button_css_class; ?>"></td>
        <td><?php echo _PROOFREADER_ADMINCONFIG_MODULE_BUTTONCSS_NOTE ?></td>
      </tr>
    </table>
<?php
	$mistakestabs->endTab();
	$mistakestabs->startTab(_PROOFREADER_ADMINCONFIG_ADMINGONFIG,"Admin-page");
?>
    <table width="100%" border="0" cellpadding="4" cellspacing="2" class="adminForm">
	<tr>
		<th colspan="3"><?php echo _PROOFREADER_ADMINCONFIG_ADMINGONFIG_NOTE ?></th>
	</tr>
      <tr align="left" valign="top">
        <td width="30%"><b><?php echo _PROOFREADER_ADMINCONFIG_ADMINVIEW_MISTAKE ?></b></td>
        <td width="30%"><?php echo mosHTML::yesnoRadioList( 'pr_adminview_mistake', 'class="inputbox"', $pr_adminview_mistake ); ?></td>
        <td width="40%"><?php echo _PROOFREADER_ADMINCONFIG_ADMINVIEW_MISTAKE_NOTE ?></td>
      </tr>
      <tr align="left" valign="top">
        <td><b><?php echo _PROOFREADER_ADMINCONFIG_ADMINVIEW_VARIANT ?></b></td>
        <td><?php echo mosHTML::yesnoRadioList( 'pr_adminview_variant', 'class="inputbox"', $pr_adminview_variant ); ?></td>
        <td><?php echo _PROOFREADER_ADMINCONFIG_ADMINVIEW_VARIANT_NOTE ?></td>
      </tr>
      <tr align="left" valign="top">
        <td><b><?php echo _PROOFREADER_ADMINCONFIG_ADMINVIEW_COMMENT ?></b></td>
        <td><?php echo mosHTML::yesnoRadioList( 'pr_adminview_comment', 'class="inputbox"', $pr_adminview_comment ); ?></td>
        <td><?php echo _PROOFREADER_ADMINCONFIG_ADMINVIEW_COMMENT_NOTE ?></td>
      </tr>
      <tr align="left" valign="top">
        <td><b><?php echo _PROOFREADER_ADMINCONFIG_ADMINVIEW_URL ?></b></td>
        <td><?php echo mosHTML::yesnoRadioList( 'pr_adminview_url', 'class="inputbox"', $pr_adminview_url ); ?></td>
        <td><?php echo _PROOFREADER_ADMINCONFIG_ADMINVIEW_URL_NOTE ?></td>
      </tr>
      <tr align="left" valign="top">
        <td><b><?php echo _PROOFREADER_ADMINCONFIG_ADMINVIEW_CLOSE ?></b></td>
        <td><?php echo mosHTML::yesnoRadioList( 'pr_adminview_close', 'class="inputbox"', $pr_adminview_close ); ?></td>
        <td><?php echo _PROOFREADER_ADMINCONFIG_ADMINVIEW_CLOSE_NOTE ?></td>
      </tr>
      <tr align="left" valign="top">
        <td><b><?php echo _PROOFREADER_ADMINCONFIG_ADMINVIEW_DATE ?></b></td>
        <td><?php echo mosHTML::yesnoRadioList( 'pr_adminview_date', 'class="inputbox"', $pr_adminview_date ); ?></td>
        <td><?php echo _PROOFREADER_ADMINCONFIG_ADMINVIEW_DATE_NOTE ?></td>
      </tr>
      <tr align="left" valign="top">
        <td><b><?php echo _PROOFREADER_ADMINCONFIG_ADMINVIEW_AUTHOR ?></b></td>
        <td><?php echo mosHTML::yesnoRadioList( 'pr_adminview_author', 'class="inputbox"', $pr_adminview_author ); ?></td>
        <td><?php echo _PROOFREADER_ADMINCONFIG_ADMINVIEW_AUTHOR_NOTE ?></td>
      </tr>
      <tr align="left" valign="top">
        <td><b><?php echo _PROOFREADER_ADMINCONFIG_ADMINVIEW_IP ?></b></td>
        <td><?php echo mosHTML::yesnoRadioList( 'pr_adminview_ip', 'class="inputbox"', $pr_adminview_ip ); ?></td>
        <td><?php echo _PROOFREADER_ADMINCONFIG_ADMINVIEW_IP_NOTE ?></td>
      </tr>
    </table>
<?php
	$mistakestabs->endTab();
	$mistakestabs->startTab(_PROOFREADER_ADMINCONFIG_MAILCONFIG,"Mail-page");
?>
    <table width="100%" border="0" cellpadding="4" cellspacing="2" class="adminForm">
	<tr>
		<th colspan="3"><?php echo _PROOFREADER_ADMINCONFIG_MAILCONFIG_NOTE ?></th>
	</tr>
      <tr align="left" valign="top">
        <td width="30%"><b><?php echo _PROOFREADER_ADMINCONFIG_WEBMASTERMESSAGE ?></b></td>
        <td width="30%"><?php echo mosHTML::yesnoRadioList( 'pr_notify', 'class="inputbox"', $pr_notify ); ?></td>
        <td width="40%"><?php echo _PROOFREADER_ADMINCONFIG_WEBMASTERMESSAGE_NOTE ?></td>
      </tr>
      <tr align="left" valign="top">
        <td><b><?php echo _PROOFREADER_ADMINCONFIG_WEBMASTEREMAIL ?></b></td>
        <td><input type="text" size="32" name="pr_notify_email" value="<?php echo $pr_notify_email; ?>"></td>
        <td><?php echo _PROOFREADER_ADMINCONFIG_WEBMASTEREMAIL_NOTE ?></td>
      </tr>
	<tr align="left" valign="top">
		<td><b><?php echo _PROOFREADER_ADMINCONFIG_MAILSUBJECT ?></b></td>
		<td><input type="text" size="32" name="pr_mailsubject" value="<?php echo $pr_mailsubject; ?>"></td>
		<td><?php echo _PROOFREADER_ADMINCONFIG_MAILSUBJECT_NOTE ?></td>
	</tr>
    </table>
<?php
	$mistakestabs->endTab();
	$mistakestabs->endPane();
?>
  <input type="hidden" name="task" value="">
  <input type="hidden" name="option" value="<?php echo $option; ?>">
</form>
<?php
}

function showAbout() {
?>
    <table cellpadding="4" cellspacing="0" border="0" width="100%">
    <tr>
      <td width="100%">
        <font style="color: #FF9E31;font-size : 18px;font-weight: bold;text-align: left;"><?php echo _PROOFREADER_NAME; ?></font>
      </td>
    </tr>
    <tr>
      <td>
		<?php echo _PROOFREADER_ABOUT ?>
      </td>
    </tr>
    </table>
<?php
  }

}
?>